Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class SAXTransformerImpl

    java.lang.Object
      |
      +--javax.xml.transform.Transformer
            |
            +--com.caucho.xsl.TransformerImpl
                  |
                  +--com.caucho.xsl.SAXTransformerImpl

All Implemented Interfaces:
  SAXTransformer, Transformer, org.xml.sax.XMLReader

public class SAXTransformerImpl
extends TransformerImpl
implements SAXTransformer

Implements the SAXTransformer. Transformation results fire SAX events.

Fields inherited from class com.caucho.xsl.TransformerImpl
`CACHE_DEPENDS, cacheDepends, GENERATE_LOCATION, L, LINE_MAP, lineMap, parameters, properties, stylesheet`

Method Summary
`org.xml.sax.ContentHandler` | `getContentHandler()` Gets the SAX contentHandler.
`org.xml.sax.DTDHandler` | `getDTDHandler()` Gets the SAX DTD handler.
`org.xml.sax.EntityResolver` | `getEntityResolver()` Gets the SAX entity resolver handler.
`org.xml.sax.ErrorHandler` | `getErrorHandler()` Gets the SAX error handler.
`void` | `parse(org.xml.sax.InputSource source)` Transforms the input stream as an XML document to SAX events.
`void` | `parse(java.lang.String systemId)` Transforms the input document specified by the file to SAX events.
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)` Sets the SAX contentHandler.
`void` | `setDTDHandler(org.xml.sax.DTDHandler handler)` Sets the SAX DTD handler.
`void` | `setEntityResolver(org.xml.sax.EntityResolver handler)` Sets the SAX entity resolver.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)` Sets the SAX error handler.
`void` | `transform(java.io.InputStream source)` Transforms the input stream as an XML document to SAX events.
`void` | `transform(Node source)` Transforms the XML node to SAX events.
`void` | `transform(java.lang.String systemId)` Transforms the input document specified by the file to SAX events.
`void` | `transformString(java.lang.String source)` Transforms the string as an XML document to SAX events.

Methods inherited from class com.caucho.xsl.TransformerImpl
`addCacheDepend, addCacheDepend, addFunction, clearParameters, getCacheDepends, getErrorListener, getFeature, getOutputProperties, getOutputProperty, getParameter, getProperty, getStylesheet, getURIResolver, parseDocument, parseDocument, parseDocument, parseStringDocument, setErrorListener, setFeature, setOutputProperties, setOutputProperty, setParameter, setProperty, setURIResolver, transform, transform, transform, transform, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.caucho.transform.Transformer
`addFunction, getFeature, getParameter, getProperty, setFeature, setParameter, setProperty`

Methods inherited from interface org.xml.sax.XMLReader
`getFeature, getProperty, setFeature, setProperty`

Method Detail

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Sets the SAX contentHandler.
  Specified by:
    `setContentHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `handler` - The content handler.
  Throws:
    `java.lang.NullPointerException` - If the handler argument is null.
  See Also:
    `XMLReader.getContentHandler()`

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Gets the SAX contentHandler.
  Specified by:
    `getContentHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current content handler, or null if none has been registered.
  See Also:
    `XMLReader.setContentHandler(org.xml.sax.ContentHandler)`

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)

  Sets the SAX DTD handler. This is a do-nothing stub.
  Specified by:
    `setDTDHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `handler` - The DTD handler.
  Throws:
    `java.lang.NullPointerException` - If the handler argument is null.
  See Also:
    `XMLReader.getDTDHandler()`

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Gets the SAX DTD handler. Always returns null.
  Specified by:
    `getDTDHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current DTD handler, or null if none has been registered.
  See Also:
    `XMLReader.setDTDHandler(org.xml.sax.DTDHandler)`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver handler)

  Sets the SAX entity resolver. This is a do-nothing stub.
  Specified by:
    `setEntityResolver` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `resolver` - The entity resolver.
  Throws:
    `java.lang.NullPointerException` - If the resolver argument is null.
  See Also:
    `XMLReader.getEntityResolver()`

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Gets the SAX entity resolver handler. Always returns null.
  Specified by:
    `getEntityResolver` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current entity resolver, or null if none has been registered.
  See Also:
    `XMLReader.setEntityResolver(org.xml.sax.EntityResolver)`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

  Sets the SAX error handler. This is a do-nothing stub.
  Specified by:
    `setErrorHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `handler` - The error handler.
  Throws:
    `java.lang.NullPointerException` - If the handler argument is null.
  See Also:
    `XMLReader.getErrorHandler()`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Gets the SAX error handler. Always returns null.
  Specified by:
    `getErrorHandler` in interface `org.xml.sax.XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `XMLReader.setErrorHandler(org.xml.sax.ErrorHandler)`

### parse

    public void parse(org.xml.sax.InputSource source)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Transforms the input stream as an XML document to SAX events. Synonym of transform, but conforms to SAX API.
  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Parameters:
    `source` - InputSource containing an XML document.

### parse

    public void parse(java.lang.String systemId)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Transforms the input document specified by the file to SAX events. Synonym of transform, but conforms to SAX API.
  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Parameters:
    `systemID` - URL or filename containing an XML document.

### transform

    public void transform(java.io.InputStream source)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Transforms the input stream as an XML document to SAX events.
  Specified by:
    `transform` in interface `SAXTransformer`
  Parameters:
    `source` - InputStream containing an XML document.

### transform

    public void transform(java.lang.String systemId)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Transforms the input document specified by the file to SAX events.
  Specified by:
    `transform` in interface `SAXTransformer`
  Parameters:
    `systemID` - URL or filename containing an XML document.

### transformString

    public void transformString(java.lang.String source)
                         throws org.xml.sax.SAXException,
                                java.io.IOException

  Transforms the string as an XML document to SAX events.
  Specified by:
    `transformString` in interface `SAXTransformer`
  Parameters:
    `source` - A string containing an XML document.

### transform

    public void transform(Node source)
                   throws org.xml.sax.SAXException,
                          java.io.IOException

  Transforms the XML node to SAX events.
  Specified by:
    `transform` in interface `SAXTransformer`
  Parameters:
    `source` - A source node to start XSL transformation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD